
// Copyright 2017 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file

// Flags: --allow-natives-syntax

// Small program to test deoptimization with exception handling.

function g() {
  v8DeoptimizeFunction(f);
  throw 42;
}
v8NeverOptimizeFunction(g);

function f() {
  var a = 1;
  try {
    g();
  } catch (e) {
    return e + a;
  }
}

v8PrepareFunctionForOptimization(f);
assertEquals(f(), 43);
assertEquals(f(), 43);
v8OptimizeFunctionOnNextCall(f);
assertEquals(f(), 43);
