// Copyright 2022 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
//
// Flags: --allow-natives-syntax --maglev

const ys = [0,1,2];

function g() {
  v8CollectGarbage(42);
  return [0,1,2];
}
v8NeverOptimizeFunction(g);

const o = { g: g };

function f(o) {
  // Using CallProperty since plain calls are still unimplemented.
  return o.g();
}

v8PrepareFunctionForOptimization(f);
assertEquals(ys, f(o));

v8OptimizeMaglevOnNextCall(f);
assertEquals(ys, f(o));
