// Copyright 2021 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Flags: --allow-natives-syntax --no-lazy-feedback-allocation

function foo() {
  String.prototype.startsWith.call(undefined, "");
}
v8PrepareFunctionForOptimization(foo);
assertThrows(foo);
v8OptimizeFunctionOnNextCall(foo);
assertThrows(foo);

function bar() {
  "bla".startsWith("", Symbol(''));
}
v8PrepareFunctionForOptimization(bar);
assertThrows(bar);
v8OptimizeFunctionOnNextCall(bar);
assertThrows(bar);
