// Copyright 2022 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Flags: --allow-natives-syntax --maglev --no-stress-opt --no-always-turbofan

function foo(x) {
  return x ?? 10
}

v8PrepareFunctionForOptimization(foo);
assertEquals(10, foo(undefined));
assertEquals(10, foo(null));
assertEquals(1, foo(1));
v8OptimizeMaglevOnNextCall(foo);
assertEquals(10, foo(undefined));
assertEquals(10, foo(null));
assertEquals(1, foo(1));
assertTrue(isMaglevved(foo));
