// Copyright 2016 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Flags: --allow-natives-syntax --turbofan

function foo(a, b) {
  return a + "0123456789012";
}

v8PrepareFunctionForOptimization(foo);
foo("a");
foo("a");
v8OptimizeFunctionOnNextCall(foo);
foo("a");

var a = "a".repeat(v8StringMaxLength());
assertThrows(function() { foo(a); }, RangeError);

v8PrepareFunctionForOptimization(foo);
v8OptimizeFunctionOnNextCall(foo);
assertThrows(function() { foo(a); }, RangeError);
assertOptimized(foo);
